FreeBSD Administration - Bug #838

Problem With Transmission Receive Buffer on FreeBSD
08/05/2016 11:20 PM - Daniel Curtis

Status: Closed Start date: 08/07/2016
Priority: Normal Due date:

Assignee: Daniel Curtis % Done: 100%
Category: File Server Estimated time: 0.50 hour
Target version: FreeBSD 10 Spent time: 0.50 hour
Description

| recently set up a headless transmission bittorrent client and found the following error in the /var/log/messages file:

UDP failed to set receive buffer: No buffer space available (tr-udp.c:58)
UDP failed to set receive buffer: requested 4194304, got 42080 (tr-udp.c77)

As it turns out, the UDP buffer for FreeBSD is set to a lower value than required by Transmission. To fix this, set a sysctl to increase
the UDP buffer size.

o Edit the sysctl config file:

vi /etc/sysctl.conf

o And add the following to the bottom of the file:

kern.ipc.maxsockbuf=5242880
net.inet.udp.recvspace=4194304

Resources

e https://forums.freenas.org/index.php?threads/transmission-error-udp-failed-to-set-receive-buffer-please-help.15203/
e https://bbs.archlinux.org/viewtopic.php?id=170628

History

#1 - 08/05/2016 11:20 PM - Daniel Curtis
- Status changed from New to Resolved

- % Done changed from 0 to 100

- Estimated time set to 0.50 h

#2 - 09/12/2016 07:28 PM - Daniel Curtis

- Status changed from Resolved to Closed
